#ifndef _LINUX_KERNEL_H
#define _LINUX_KERNEL_H

#include <linux/types.h>

#define	EIO             5
#define	EAGAIN          11
#define ENOMEM          12
#define	EFAULT          14
#define	EBUSY           16
#define	ENODEV          19
#define	EINVAL          22
#define	EBADR           53
#define	EPROTO          71
#define	EMSGSIZE        90
#define	ENOBUFS         105
#define	EISCONN         106
#define	ENOTCONN        107
#define	EHOSTUNREACH    113

#define GFP_KERNEL      0
#define GFP_ATOMIC      0

#define printk          printf
#define KERN_WARNING

__inline void* kmalloc(int size, int dummy)
{
    return malloc(size);
}

__inline void kfree(void* mem)
{
    free(mem);
}

#endif